MICRONEILLIBS = -LC:\Users\Dylan\Documents\Microneil\MDaemon\SNFMDaemon\SNFMDaemonDLL\SNFMulti -lSNFMulti -LC:\Users\Dylan\Documents\Microneil\MDaemon\SNFMDaemon\SNFMDaemonDLL\CodeDweller -lCodedweller
MICROINC = -IC:\Users\Dylan\Documents\Microneil\MDaemon\SNFMDaemon\SNFMDaemonDLL\SNFMulti -IC:\Users\Dylan\Documents\Microneil\MDaemon\SNFMDaemon\SNFMDaemonDLL\CodeDweller
WXLIBS = -LC:\wxWidgets-3.0.4\lib\gcc_dll64
WXINC = -IC:\wxWidgets-3.0.4\include -IC:\wxWidgets-3.0.4\lib\gcc_dll64\mswu
WXFLAGS = -D__GNUWIN32__ -D__WXMSW__ -DWXUSINGDLL -DwxUSE_UNICODE

resource:
	windres.exe ${WXINC}  -J rc -O coff -i C:\Users\Dylan\DOCUME~1\MICRON~1\SPWXDI~2\resource.rc -o resource.res

wx:
	g++.exe -pipe -std=c++11 -mthreads ${WXFLAGS} -Wall -O2 ${WXINC} -c configdialog.cpp -o configdialog.o
	g++.exe -pipe -std=c++11 -mthreads ${WXFLAGS} -Wall -O2 ${WXINC} -c dialogapp.cpp -o dialogapp.o
	g++.exe -pipe -std=c++11 -mthreads -g -DDEBUG -O2 ${MICRONEILLIBS} ${MICROINC}  -c mdconfiguration.cpp -o mdconfiguration.o
	g++.exe -pipe -std=c++11 -mthreads -g -DDEBUG -Wall -O2 ${MICRONEILLIBS} ${MICROINC} ${WXINC} -c main.cpp -o main.o
	g++.exe -std=c++11 -shared -o bin\snfmdplugin.dll main.o mdconfiguration.o configdialog.o dialogapp.o ${MICROINC} ${MICRONEILLIBS} ${WXINC} ${WXLIBS} -lws2_32 -lwxmsw30u -s -mthreads  -mwindows
